Package org.zkoss.clientbind

## Class GsonConverter

- java.lang.Object
- - org.zkoss.zkmax.bind.GsonConverter
  - - org.zkoss.clientbind.GsonConverter

- All Implemented Interfaces:
    `Converter<java.lang.Object,​java.lang.Object,​Component>`

      public class GsonConverter
      extends GsonConverter

  A Gson converter for Binding Parameter
  Since:
    10.0.0
  Author:
    jameschu

- - ### Field Summary

    - ### Fields inherited from interface org.zkoss.bind.Converter

      `IGNORED_VALUE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GsonConverter()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `coerceToBean​(java.lang.Object compAttr, Component component, BindContext ctx)` | Coerces a value to bean value to save to a bean

    - ### Methods inherited from class org.zkoss.zkmax.bind.GsonConverter

      `coerceToUi`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GsonConverter

          public GsonConverter()

  - ### Method Detail

    - #### coerceToBean

          public java.lang.Object coerceToBean​(java.lang.Object compAttr,
                                               Component component,
                                               BindContext ctx)

      Description copied from interface: `Converter`
      Coerces a value to bean value to save to a bean
      Specified by:
        `coerceToBean` in interface `Converter<java.lang.Object,​java.lang.Object,​Component>`
      Overrides:
        `coerceToBean` in class `GsonConverter`
      Parameters:
        `compAttr` - the value of component attribute.
        `component` - the component provides the value
        `ctx` - the bind context
      Returns:
        the value to save to a bean